Subject: [p2p-sip] Fwd: mboned: FYI: Relayed Multicast Protocol

From: tme at multicasttech.com (Marshall Eubanks)
Date: Wed Nov 16 19:25:52 2005

I thought this might be interesting to the group. The file is at

http://www.americafree.tv/papers/RCMP_H1.pdf

(The list moderator can kill the embargoed version with an attachment).

Regards
Marshall Eubanks

Begin forwarded message:

> From: David Meyer <[email-masked]>
> Date: November 16, 2005 10:18:35 AM EST
> To: [email-masked]
> Subject: mboned: FYI: Relayed Multicast Protocol
>
> 	pdf attached.
>
> 	Dave
>
>
>>> ITU Standardized Technology Set To Spawn New Era Web Broadcast
>>>  _____
>>>
>>> With the popularity of blogs, podcasting and web-based photo
>>> libraries,
>>> web content has become something much more accessible to the
>>> individual
>>> in the last few years. Now video looks set to be the next media to
>>> gain
>>> popularity with the new generation of home based media moguls.
>>>
>>> Work on a new protocol that may spawn a whole new generation of
>>> independent broadcasters is underway at ITU. Relayed Multicast
>>> Protocol
>>> (RMCP) being developed by the ITU's Study Group 17
>>> <http://www.itu.int/ITU-T/studygroups/com17/mgmt.html>  uses  
>>> something
>>> like a peer-to-peer model meaning that independent broadcasters no
>>> longer have to subscribe to a fat-pipe, instead relying on a
>>> collection
>>> of 'peers' or 'relay agents', in other words other people's  
>>> computers.
>>> Peer to peer type traffic is reckoned to make-up as much as 72 per
>>> cent
>>> of current Internet traffic. And this figure is predicted to rise.
>>>
>>> RMCP allows the live broadcast of video or audio piggy-backing off
>>> other
>>> users (or servers). So in a scenario where 100 people are  
>>> demanding a
>>> live broadcast, instead of serving each one of these clients  
>>> their own
>>> video stream, only one stream has to be provided and each user  
>>> will be
>>> served from another in the network. This has significant  
>>> implications
>>> for instance for businesses broadcasting live events, where a  
>>> previous
>>> scenario demanded 100 users be fed individual feeds, RMCP allows the
>>> broadcast of just one.
>>>
>>> Juyoung Park the editor of the ITU-T Recommendations says that RMCP
>>> allows for the efficient serving of hundreds of thousands of
>>> simultaneous connection requests.
>>>
>>> Park says that the need for this type of protocol was identified by
>>> content providers. Standardization means that a single client can
>>> receive content from any number of suppliers.
>>>
>>> An alternative solution - IP Multicast - is not applicable in  
>>> today's
>>> networks according to Park. For a start the success of IP Multicast
>>> would mean router upgrades throughout a network, something that many
>>> operators would balk at, especially given the unclear benefits of IP
>>> Multicast to their revenue streams.
>>>
>>> Park says that tests by his organization - ETRI - have shown that
>>> speeds
>>> of 2 Mbit/s are possible. This reflects standard broadcast rates.
>>> However he says that typically users will experience something more
>>> like
>>> 640 Kbit/s.
>>>
>>> ITU-T has published one Recommendation (ITU-T Rec. X.603) on the  
>>> topic
>>> outlining requirements, framework etc. The next two Recommendations
>>> due
>>> in 2006 will focus on the technical specifications. One focusing on
>>> one
>>> broadcaster to many clients, and the other on many broadcasters to
>>> many
>>> clients.
>
> ----- End forwarded message -----

---

From: tme at multicasttech.com (Marshall Eubanks)
Date: Sun Nov 20 09:52:28 2005

Thought this might be interesting to this  group.

Regards
Marshall Eubanks

-------------- next part --------------
A non-text attachment was scrubbed...
Name: H1.pdf
Type: application/pdf
Size: 880503 bytes
Desc: not available
Url : http://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20051116/efb51129/H1-0001.pdf
-------------- next part --------------

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Sun Nov 20 17:23:12 2005

Thanks for the information.
I had an impression that ITU-T would be slow in adopting new technologies.
Probably I had a wrong impression.

I notice that the ITU-T folks focus on video/audio broadcast as an
application of the p2p multicast.
Does anyone know what protocol do they use for session management?
Regards,

Eunsoo

Marshall Eubanks wrote:

>>>> users (or servers). So in a scenario where 100 people are  demanding a
>>>> live broadcast, instead of serving each one of these clients  their
>>>> own
>>>> served from another in the network. This has significant  implications
>>>> An alternative solution - IP Multicast - is not applicable in  today's
>------------------------------------------------------------------------
>
>_______________________________________________
>p2p-sip mailing list
>[email-masked]
>http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
>  
>

---

From: henry at pulver.com (Henry Sinnreich)
Date: Mon Nov 21 14:57:16 2005

Do we know how RMCP compares to BitTorrent and the like?

>Probably I had a wrong impression.

I believe you are still right :-). P2P has been around for years and seems
to dominate the Internet traffic. Only the standards organizations,
including the IETF seem to have overlooked P2P, or relegated P2P to the IRG
on P2P.

Thanks, Henry

-----Original Message-----
From: Eunsoo Shim [mailto:[email-masked]] 
Sent: Sunday, November 20, 2005 4:19 PM
To: Marshall Eubanks; [email-masked]
Subject: Re: [p2p-sip] Fwd: mboned: FYI: Relayed Multicast Protocol

Eunsoo

---

From: enrico.marocco at TILAB.COM (Enrico Marocco)
Date: Tue Nov 22 03:58:09 2005

> including the IETF seem to have overlooked P2P, or relegated P2P to the IRG

Maybe we are late, but aren't we going in the right direction?
David is collecting use cases in a document (even though everybody
agrees that the one use case could be "Skype") which will be ready in a
few weeks; we have already agreed on a charter and we've seen a lot of
people interested in creating a WG.
Don't you think we will be ready for a bof in Dallas?
For a big standard organization this is the right way to go IMHO.

Cheers
Enrico

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue Nov 22 08:31:31 2005

Enrico Marocco wrote:

>Maybe we are late, 

>but aren't we going in the right direction?
>  
>
Yes, yes. :-)

>Don't you think we will be ready for a bof in Dallas?
At least we should try to become ready for a BOF in Dallas.
I believe we will be ready.
We will see more drafts soon including a use cases draft.

Regards,

Eunsoo